Bug 1006535 - Installer: Add password vault configuration
Installer: Add password vault configuration
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: EAP 6.2.0
Assigned To: Thomas Hauser
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 15:06 EDT by Thomas Hauser
Modified: 2017-10-09 20:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
The JBoss EAP 6 installer has been enhanced to provide the ability to configure a password vault. Previously, a password vault would have to be configured manually after JBoss EAP 6 had been installed. As a result of this enhancement, a password vault can now be configured at installation, without the need to manually configure it later.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:22:26 EST
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The password vault default configuration window. (129.63 KB, image/png)
2013-09-10 15:06 EDT, Thomas Hauser
no flags Details

  None (edit)
Description Thomas Hauser 2013-09-10 15:06:17 EDT
Created attachment 796103 [details]
The password vault default configuration window.

This is an enhancement / new feature.

The installer now allows the user to configure a Password Vault at install time, according to the documentation here:
https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6/html/Administration_and_Configuration_Guide/Configure_the_Enterprise_Application_Platform_to_Use_the_Password_Vault1.html

The required information is gathered and the jboss-cli.sh commands are run on the installed server instance.
Comment 1 Petr Kremensky 2013-09-18 08:10:50 EDT
This feature is available in EAP 6.2.0.ER1 installer

Note You need to log in before you can comment on or make changes to this bug.